Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class RecordChannelDefinitionPublishedWorkerTask

    java.lang.Object
      org.jasig.portal.utils.threading.BaseTask
          org.jasig.portal.services.stats.StatsRecorderWorkerTask
              org.jasig.portal.services.stats.RecordChannelDefinitionPublishedWorkerTask

All Implemented Interfaces:
  java.lang.Runnable, Task

    public class RecordChannelDefinitionPublishedWorkerTask

extends StatsRecorderWorkerTask

Records the publishing of a channel in a separate thread.

Version:
  $Revision: 1.6 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`(package private) ChannelDefinition` | `channelDef`
`(package private) IPerson` | `person`

Fields inherited from class org.jasig.portal.services.stats.StatsRecorderWorkerTask
`statsRecorder`

Fields inherited from class org.jasig.portal.utils.threading.BaseTask
`exception`

Constructor Summary
`RecordChannelDefinitionPublishedWorkerTask(IPerson person, ChannelDefinition channelDef)`

Method Summary
`void` | `execute()` Does the real work of the worker task

Methods inherited from class org.jasig.portal.services.stats.StatsRecorderWorkerTask
`setStatsRecorder`

Methods inherited from class org.jasig.portal.utils.threading.BaseTask
`getException, run, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### person

    IPerson person

### channelDef

    ChannelDefinition channelDef

Constructor Detail

### RecordChannelDefinitionPublishedWorkerTask

    public RecordChannelDefinitionPublishedWorkerTask(IPerson person,
                                                      ChannelDefinition channelDef)

Method Detail

### execute

    public void execute()
                 throws java.lang.Exception

  Description copied from class: `StatsRecorderWorkerTask`
  Does the real work of the worker task

  Specified by:
    `execute` in class `StatsRecorderWorkerTask`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD